package com.yanzhu.jh.work.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 演练培训协同部门对象 work_train_dept
 * 
 * @author JiangYuQi
 * @date 2023-08-09
 */
public class WorkTrainDept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 演练培训主键 */
    @Excel(name = "演练培训主键")
    private Long trainId;

    /** 协同部门主键 */
    @Excel(name = "协同部门主键")
    private Long deptId;

    /** 是否组织部门 */
    @Excel(name = "是否组织部门")
    private String isMain;

    public void setTrainId(Long trainId) 
    {
        this.trainId = trainId;
    }

    public Long getTrainId() 
    {
        return trainId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setIsMain(String isMain)
    {
        this.isMain = isMain;
    }

    public String getIsMain()
    {
        return isMain;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("trainId", getTrainId())
            .append("deptId", getDeptId())
            .append("isMain", getIsMain())
            .toString();
    }
}
